%define url_ver %(echo %version|sed 's/[.]/-/g')

Name:           chessx
Version:        0.9.4
Release:        %mkrel 3
Summary:        An Open Source chess database
License:        GPLv2
Group:          Games/Boards
URL:            http://chessx.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{url_ver}.tgz
BuildRequires:  qt4-devel
BuildRequires:	icoutils

%description
ChessX is an Open Source chess database. With ChessX you can operate on your
collection of chess games in many ways:
browse, edit, add, organize, analyze, etc.

%prep
%setup -q -n %{name}

%build
%qmake_qt4 %{name}.pro
%make
/usr/%{_lib}/qt4/bin/lrelease i18n/*.ts

%install
mkdir -p %{buildroot}%{_gamesbindir}
install -m0755 release/chessx %{buildroot}%{_gamesbindir}

mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
cp -r data/* %{buildroot}%{_gamesdatadir}/%{name}
cp i18n/*.qm %{buildroot}%{_gamesdatadir}/%{name}/lang/

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/128x128/apps
cp data/images/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=ChessX
Comment=Open Source chess database
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%files
%doc COPYING ChangeLog
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 0.9.4-3.mga3
+ Revision: 347673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 dams <dams> 0.9.4-2.mga3
+ Revision: 332984
- add back icon (broken by last update)

* Mon Dec 17 2012 kamil <kamil> 0.9.4-1.mga3
+ Revision: 332147
- new version 0.9.4

* Sat Dec 01 2012 kamil <kamil> 0.9.2-2.mga3
+ Revision: 324365
- clean a bit .spec

* Fri Nov 16 2012 dams <dams> 0.9.2-1.mga3
+ Revision: 318925
- new version 0.9.2
- update buildrequire
- now use project icon instead of generic icon
- update specfile to enable i18n translations

* Mon Sep 19 2011 obgr_seneca <obgr_seneca> 0.8-1.mga2
+ Revision: 145389
- imported package chessx

